user nginx;
worker_processes auto;
error_log /var/log/nginx/error.log warn;
pid /var/run/nginx.pid;

events {
    worker_connections 1024;
}

http {
    include /etc/nginx/mime.types;
    default_type application/octet-stream;

    log_format main '$remote_addr - $remote_user [$time_local] "$request" '
                    '$status $body_bytes_sent "$http_referer" '
                    '"$http_user_agent" "$http_x_forwarded_for"';

    access_log /var/log/nginx/access.log main;
    sendfile on;
    tcp_nopush on;
    keepalive_timeout 65;
    gzip on;

    server {
        listen 80;
        server_name riichi.cosmoris.fr;

        root /usr/share/nginx/html;
        index index.html;

        # Cache pour les assets
        location ~* \.(css|js|svg|png|jpg|jpeg|gif|ico)$ {
            expires 1d;
            add_header Cache-Control "public, immutable";
        }



        # Servir les fichiers statiques (à la fin, après les autres locations)
        location / {
            try_files $uri $uri/ /index.html;
        }
    }
}
